Summary:        Protocol for Keeping Track of Dynamically Allocated IP
Name:           whoson
Version:        2.00
Release:        1
Group:          Networking
Copyright:      Public domain
Packager:	Tomasz Rzad <tomasz@rzad.com>
Source0:        ftp://ftp.average.org/pub/whoson/%{name}-%{version}.tar.gz
Source1:	whoson.conf
Source2:	whosond.init
BuildRoot:      /var/tmp/%{name}-%{version}-root

%description
Simple method for Internet server programs to know if a particular
(dynamically allocated) IP address is currently allocated to a known
(trusted) user and, optionally, the identity of the said user.

%prep
%setup
%build
./configure --prefix=/usr
CFLAGS=$RPM_OPT_FLAGS \
make clean
make CC=gcc

make

%install
mkdir -p $RPM_BUILD_ROOT/etc

make install DESTDIR=$RPM_BUILD_ROOT DEFAULT_CONFIG=$RPM_BUILD_ROOT/etc/whoson.conf

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

strip $RPM_BUILD_ROOT/usr/sbin/*
 
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install $RPM_SOURCE_DIR/whoson.conf $RPM_BUILD_ROOT/etc/whoson.conf
install $RPM_SOURCE_DIR/whosond.init $RPM_BUILD_ROOT/etc/rc.d/init.d/whosond
chmod 644 $RPM_BUILD_ROOT/etc/whoson.conf

find $RPM_BUILD_ROOT -type f -or -type l | sed "s|^$RPM_BUILD_ROOT|\%attr(-,root,root) \%dir |" > filelist
find $RPM_BUILD_ROOT -type d | sed "s|^$RPM_BUILD_ROOT|\%attr(-,root,root) \%dir |" >> filelist

%files -f filelist
%doc README whoson.conf

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf filelist

%post
/sbin/chkconfig --add whosond
%preun
/sbin/chkconfig --del whosond
